clear all
set more off

capture net install vioplot.pkg

use bdi_week8
describe


tabstat bdi, by(tx) stat(mean sd n)

vioplot bdi, over(tx) scheme(lean2) ytitle("Beck depression inventory")


ttest bdi if tx == 1 | tx == 3, by(tx)

esize twosample bdi if tx == 1 | tx == 3, by(tx)

oneway bdi tx

anova bdi tx

margins tx
marginsplot, recast(bar) scheme(lean2) plotopts(fcolor(gs12)) ///
 title("") ytitle("Average depression")


clear all
set more off

use bdi_week8

anova bdi tx
margins tx, coeflegend post
test 1*1.tx + -1*2.tx + 0*3.tx + 0*4.tx = 0
lincom 1*1.tx + -1*2.tx + 0*3.tx + 0*4.tx

test 1.tx - 2.tx = 0
test 1.tx - 3.tx = 0
test 1.tx - 4.tx = 0

lincom 1.tx - 2.tx
lincom 1.tx - 3.tx
lincom 1.tx - 4.tx


display sqrt(invFtail(3, 146, 0.05))
display "Scheffe critical value is " sqrt(3*invFtail(3, 146, 0.05))

anova bdi tx
pwcompare tx, mcompare(scheffe) effects

display invtukeyprob(4, 148, 1 - 0.05)*sqrt(177.8094/38)

anova bdi tx
pwcompare tx, mcompare(tukey) effects 

pwcompare tx, mcompare(noadjust) effects
pwcompare tx, mcompare(tukey) effects
pwcompare tx, mcompare(scheffe) effects
