

capture program drop adjfit

program adjfit, rclass
	syntax  namelist(name = namelist id = "SEM Estimation Results Required" max=2)
	local res nullchi nulldf modelchi modeldf tli cfi
	tempname `res'
	estimates restore `1'
	scalar `nullchi' = e(chi2_ms)
	scalar `nulldf' = e(df_ms)
	estimates restore `2'
	scalar `modelchi' = e(chi2_ms)
	scalar `modeldf' = e(df_ms)
	scalar `cfi' = 1 - ((`modelchi' - `modeldf')/(max(`nullchi' - `nulldf', `modelchi' - `modeldf')))
	return scalar adjcfi = `cfi'
	display `cfi'
end

adjfit null configural 
adjfit null metric
adjfit null scalar
