clear all

set linesize 80

use state_trait
describe

sem (TRAIT -> trait4 trait5 trait9 trait15) ///
	(STATE -> state6 state9 state12 state17), nolog

display _b[trait5:TRAIT]^2 * _b[/var(TRAIT)] + _b[/var(e.trait5)]
summarize trait5, detail

display _b[trait5:TRAIT] * _b[/var(TRAIT)] * _b[trait9:TRAIT]

display _b[trait5:TRAIT] * _b[/cov(TRAIT,STATE)] * _b[state9:STATE]

summarize trait4 trait5 trait9 trait15 state6 state9 state12 state17

sem (TRAIT -> trait4 trait5 trait9 trait15) ///
	(STATE -> state6 state9 state12 state17), var(TRAIT@1) var(STATE@1)  nolog
estimates store twofactor

quietly sem (TRAIT -> trait4 trait5 trait9 trait15) ///
	(STATE -> state6 state9 state12 state17), ///
	var(TRAIT@1) var(STATE@1) cov(TRAIT*STATE@1)
estimates store onefactor

lrtest twofactor onefactor

sem (TRAIT -> trait4 trait5 trait9 trait15) ///
	(STATE -> state6 state9 state12 state17), var(TRAIT@1) var(STATE@1) standardized nolog

display "R2 = " .7050815^2

display "The uniqueness for trait4 = " 1 - .7050815^2

estat eqgof

display .4740266/.9535074

quietly sem (TRAIT -> trait4 trait5 trait9 trait15) ///
	(STATE -> state6 state9 state12 state17), var(TRAIT@1) var(STATE@1) nolog
estat gof, stats(all)


















